%global commit      5a1c8d83ba1514ca8d045ba80403f93772fb371a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        2020704

%bcond_without  tests

Name:           the_silver_searcher
Version:        2.2.0^%{date}.%{shortcommit}
Release:    1%{?dist}
Summary:        Super-fast text searching tool (ag)
License:        ASL 2.0 and BSD
URL:            https://github.com/ggreer/the_silver_searcher
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

Patch0:         0001-update-zsh-completion-for-new-options.patch
Patch1:         0002-Install-shell-completion-files-to-correct-locations.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pcre-devel
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRequires:  uthash-devel
%if %{with tests}
BuildRequires:  python3-cram
BuildRequires:  git-core
%endif

Provides:       ag


%description
The Silver Searcher is a code searching tool similar to ack,
with a focus on speed.


%prep
%autosetup -n %{name}-%{commit} -p 1

rm src/uthash.h
sed -e '/ag_SOURCES/ s/ src\/uthash.h//' -i Makefile.am


%build
aclocal
autoconf
autoheader
automake --add-missing
%configure --disable-silent-rules
%make_build


%install
%make_install


%if %{with tests}
%check
make test
%endif


%files
%license LICENSE
%doc README.md
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%{_datadir}/bash-completion/completions/ag
%{_datadir}/zsh/site-functions/_ag


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0^2020704.5a1c8d8-1
- initial build
